#include "MainWindow.h"
#include "ui_MainWindow.h"

#include <QCheckBox>
#include <QGraphicsProxyWidget>
#include <QGraphicsScene>
#include <QHBoxLayout>
#include <QModelIndex>
#include <QStandardItemModel>
#include <QTableWidget>

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);

    QGraphicsScene *scene = new QGraphicsScene();
    ui->graphicsView->setScene(scene);

    resize(1200, 800);

    // Add table widget to the scene
    QTableWidget *tableWidget = new QTableWidget(1, 3, NULL);
    tableWidget->resize(500, 400);

    QTableWidgetItem *item1 = new QTableWidgetItem("item1");
    QTableWidgetItem *item2 = new QTableWidgetItem("item2");
    QTableWidgetItem *item3 = new QTableWidgetItem("item3");

    tableWidget->setItem(0, 0, item1);
    tableWidget->setItem(0, 1, item2);
    tableWidget->setItem(0, 2, item3);


    QGraphicsProxyWidget *proxy = scene->addWidget(tableWidget);
    proxy->setPos(0, 50);

    // Add checkbox to the scene
    QCheckBox *checkbox = new QCheckBox("Checkbox");
    QGraphicsProxyWidget *proxy2 = scene->addWidget(checkbox);
    proxy2->setPos(0, -50);

}

MainWindow::~MainWindow()
{
    delete ui;
}
